rpslcheck(1)

NAME
rpslcheck

SYNOPSIS
rpslcheck [flags] [<as-no>]

DESCRIPTION

rpslcheck syntax-checks the aut-num object for <as-no> registered in the Internet Routing Registry (IRR). If <as-no> is not specified, object is expected as a standard input. Rpslcheck only checks the syntax of policy related attributes such as import, export and default. If an aut-num passes rpslcheck's syntax checking, it will not create cause errors to any of the tools in RAToolSet, such as RtConfig. Future versions of this tool will generate better error messages and do more than just syntax checking.

IRRToolSet COMMON OPTIONS

    -help
        Print summary of command-line options and abort.

    -T [whois_query | whois_response | input | all]
        Trace the argument. Useful for debugging.

    -D <integer>
        Print debugging messages of debug channel <integer> (if compiled with DEBUG defined).

    -version
        Print the version number and quit.

    -h <host-name>
        Establish a whois connection to host <host-name>. The default is whois.radb.net

    -p <port-no>
        Establish a whois connection to port <port-no>. The default is 43.

    -protocol <protocol>
        Use the <protocol> to connect to the IRR server. <protocol> can be irrd(rawhoisd), ripe(bird), and ripe_perl. The default is irrd. The ripe_perl option should be used with the old ripe server.

    -s <source-list>
        Consider the sources specified in the comma separated <source-list>. If an object is defined in multiple sources in <source-list>, prcheck uses the definition first encountered in <source-list> from left to right.

    -rusage
        Print resource usage upon completion.

    -ignore_errors
        Do not print error and warning messages due to communication to the database server or parsing policy objects.

    -report_errors
        Print error and warning messages due to communication to the database server or parsing policy objects.

OTHER OPTIONS

    -as <as-no>
        Syntax check the aut-num object for <as-no>. If this option is not supplied, stdin is parsed.

    -echo
        Print the aut-num object before matching.

ENVIRONMENT VARIABLES

    IRR_HOST
        Specifies the IRR host to connect.

    IRR_PORT
        Specifies the IRR port number to connect.

    IRR_SOURCES
        Specifies the source list (comma separated) to consider.

Command line options take precedence over environment variables.

EXAMPLES

	% ./rpslcheck
	Congratulations no errors were found in parsing AS226
	% rpslcheck AS3130
	Congratulations no errors were found in parsing AS3130
	% rpslcheck AS86
	Error: *it: AS701 192.41.177.6/32 192.41.177.249 (pref=MED) ANY
	Error:                            ^^^^^^^^^^^^^^

ERROR AND WARNING MESSAGES
Error: no object for AS <as_no>

    Aut-num object for <as_no> is not found in specified IRR for specified source. You could mistype the source, hostname or AS-number, or the object is truly non-existent.

For more error descriptions, please see Errors manual page.

AUTHORS
Cengiz Alaettinoglu <cengiz@isi.edu> Katie Petrusha <katie@ripe.net>